

if EXIST %windir%\SysWOW64 goto Win64

:Win32
ECHO *** Copiando as DLLs ***
if NOT EXIST %windir%\System32\capicom.dll copy capicom.dll %windir%\System32
if NOT EXIST %windir%\System32\msxml5.dll  copy msxml5.dll  %windir%\System32
if NOT EXIST %windir%\System32\msxml5r.dll copy msxml5r.dll %windir%\System32

if NOT EXIST %windir%\System32\iconv.dll copy iconv.dll %windir%\System32
if NOT EXIST %windir%\System32\libxml2.dll copy libxml2.dll %windir%\System32
if NOT EXIST %windir%\System32\libxmlsec.dll copy libxmlsec.dll %windir%\System32
if NOT EXIST %windir%\System32\libxmlsec-openssl.dll copy libxmlsec-openssl.dll %windir%\System32
if NOT EXIST %windir%\System32\libxslt.dll copy libxslt.dll %windir%\System32
if NOT EXIST %windir%\System32\zlib1.dll copy zlib1.dll %windir%\System32

ECHO *** Registrando as DLLs ***
regsvr32 %windir%\System32\capicom.dll /s
regsvr32 %windir%\System32\msxml5.dll /s
goto end

:Win64
ECHO *** Copiando as DLLs x64 ***
if NOT EXIST %windir%\SysWOW64\capicom.dll copy capicom.dll %windir%\SysWOW64
if NOT EXIST %windir%\SysWOW64\msxml5.dll  copy msxml5.dll  %windir%\SysWOW64
if NOT EXIST %windir%\SysWOW64\msxml5r.dll copy msxml5r.dll %windir%\SysWOW64

if NOT EXIST %windir%\SysWOW64\iconv.dll copy iconv.dll %windir%\SysWOW64
if NOT EXIST %windir%\SysWOW64\libxml2.dll copy libxml2.dll %windir%\SysWOW64
if NOT EXIST %windir%\SysWOW64\libxmlsec.dll copy libxmlsec.dll %windir%\SysWOW64
if NOT EXIST %windir%\SysWOW64\libxmlsec-openssl.dll copy libxmlsec-openssl.dll %windir%\SysWOW64
if NOT EXIST %windir%\SysWOW64\libxslt.dll copy libxslt.dll %windir%\SysWOW64
if NOT EXIST %windir%\SysWOW64\zlib1.dll copy zlib1.dll %windir%\SysWOW64

ECHO *** Registrando as DLLs x64 ***
regsvr32 %windir%\SysWOW64\capicom.dll /s
regsvr32 %windir%\SysWOW64\msxml5.dll /s
goto end

:end

pause
